If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Jenkins needs to use Java 7

RESOLVED FIXED

Status

Infrastructure & Operations
WebOps: Other
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: rnewman, Assigned: gozer)

Tracking

Details

(Whiteboard: [kanban:webops:https://kanbanize.com/ctrl_board/4/1864] )

(Reporter)

Description

3 years ago
Our builds die after Bug 1081287, because we're using JDK6.

I attempted to add jdk.version 1.7 to our POM, but that can't help in the face of this:

LD_LIBRARY_PATH	/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/../lib/amd64

JAVA_HOME	/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre
Assignee: nobody → server-ops-webops
Component: Build & Test → WebOps: Other
Product: Android Background Services → Infrastructure & Operations
QA Contact: nmaul
Version: unspecified → other
Hello ci.mozilla.org maintainers!  Can we please get JDK 1.7 JRE deployed to ci.mozilla.org?  android-sync needs it.

Updated

3 years ago
Whiteboard: [kanban:https://kanbanize.com/ctrl_board/4/1709]
(Assignee)

Updated

3 years ago
Assignee: server-ops-webops → gozer
(Assignee)

Comment 2

3 years ago
(In reply to Nick Alexander :nalexander from comment #1)
> Hello ci.mozilla.org maintainers!  Can we please get JDK 1.7 JRE deployed to
> ci.mozilla.org?  android-sync needs it.

I am assuming this means you want/need Java 1.7 installed on the jenkins server so you can make use of it for your builds, and *not* have jenkins itself run under java 1.7 ?
(In reply to Philippe M. Chiasson (:gozer) from comment #2)
> (In reply to Nick Alexander :nalexander from comment #1)
> > Hello ci.mozilla.org maintainers!  Can we please get JDK 1.7 JRE deployed to
> > ci.mozilla.org?  android-sync needs it.
> 
> I am assuming this means you want/need Java 1.7 installed on the jenkins
> server so you can make use of it for your builds, and *not* have jenkins
> itself run under java 1.7 ?

Correct.  As part of an existing Jenkins job, I want to be able to point our existing Maven installation at the JDK 1.7 and use it to compile.
(Assignee)

Comment 4

3 years ago
You can now use one of either:
 
 - /usr/lib/jvm/java-1.7.0
 - /usr/lib/jvm/java-1.7.0-openjdk.x86_64
 - /usr/lib/jvm/java-1.7.0-oracle.x86_64
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
gozer: apparently the right way to do this is to configure a new JDK in Hudson (see [1]) and I can't figure out an alternate.  I don't have ci.mozilla.org admin (can I have it?) so I've re-opened this ticket.

[1] http://jenkins-ci.361315.n4.nabble.com/Running-Maven-build-with-different-JDK-version-td4149848.html
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Updated

3 years ago
Whiteboard: [kanban:https://kanbanize.com/ctrl_board/4/1709]

Updated

3 years ago
Whiteboard: [kanban:webops:https://kanbanize.com/ctrl_board/4/1864]
(Assignee)

Comment 6

3 years ago
Done.
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago3 years ago
Resolution: --- → FIXED
(In reply to Philippe M. Chiasson (:gozer) from comment #6)
> Done.

Awesome sauce!  And a green sync-android build: https://ci.mozilla.org/job/sync-android/2684/

Thanks so much, gozer.
You need to log in before you can comment on or make changes to this bug.